<!-- <link rel="stylesheet" href="https://fonts.xz.style/serve/inter.css"> -->
<!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@exampledev/new.css@1.1.2/new.min.css"> -->

<mat-drawer-container style="height: 100%;">


  <mat-drawer #drawer mode="side" style="padding: 5pt; width: 350px;" mode="over" opened>

    <div align="right">
      <button mat-raised-button (click)="drawer.close()" matTooltip="Masquer les informations générales">
        <mat-icon>keyboard_arrow_left</mat-icon>
        <mat-icon>visibility_off</mat-icon>
      </button>
    </div>

    <mat-card>
      <img src="{{ BASE_HREF }}assets/img/antoine.png" width="200px">
    </mat-card>

    <mat-card>
      <mat-card-content style="text-align: left;">
        <table>
          <tr>
            <td>
              <mat-icon>calendar_today</mat-icon>
            </td>
            <td>Né le {{ INFOS_GENERALES.date_naissance | date:"dd/MM/YYYY" }} </td>
          </tr>
          <tr>
            <td>
              <mat-icon>directions_car</mat-icon>
            </td>
            <td>Permis B</td>
          </tr>
          <tr>
            <td>
              <mat-icon>location_on</mat-icon>
            </td>
            <td><a href="https://goo.gl/maps/cTGbnCoKkhAMrgRt8">17, av. du Colonel Roche - 31400 Toulouse</a></td>
          </tr>
        </table>
      </mat-card-content>
    </mat-card>

    <mat-card>
      <mat-card-header>
        <mat-card-title>Passions</mat-card-title>
      </mat-card-header>
      <mat-card-content style="text-align: left;">
        <table>
          <!-- TODO Valider l'icone pour le sport. -->
          <tr
            *ngFor="let passion of [{nom: 'Programmation', icon: 'code'}, {nom: 'Sport', icon: 'sports_tennis'}, {nom: 'Musique', icon: 'music_note'}, {nom: 'Jeux vidéo', icon:'videogame_asset'}]">
            <td>
              <mat-icon>{{ passion.icon }}</mat-icon>
            </td>
            <td>{{ passion.nom }}</td>
          </tr>
        </table>
      </mat-card-content>
    </mat-card>

    <mat-card>
      <mat-card-header>
        <mat-card-title>Contact</mat-card-title>
      </mat-card-header>
      <mat-card-content style="text-align: left;">
        <table>
          <tr>
            <td>
              <mat-icon>call</mat-icon>
            </td>
            <td>
              <!-- TODO Tester le lien "tel" -->
              <a href="tel:+33622830868">06&nbsp;22&nbsp;83&nbsp;08&nbsp;68</a>
            </td>
          </tr>
          <tr>
            <td>
              <mat-icon>email</mat-icon>
            </td>
            <td>
              <!-- TODO Tester le lien "mailto" -->
              <a href="mailto:danna.antoine@gmail.com?subject=Candidature">danna.antoine@gmail.com</a>
            </td>
          </tr>
        </table>
      </mat-card-content>
    </mat-card>

    <mat-card>
      <mat-card-header>
        <mat-card-title>Langues</mat-card-title>
      </mat-card-header>
      <mat-card-content style="text-align: left;">
        <table>
          <tr>
            <td><img src="{{ BASE_HREF }}/assets/img/drapeau_gb.png" class="drapeau" /></td>
            <td>Anglais : niveau B2</td>
          </tr>
          <tr>
            <td><img src="{{ BASE_HREF }}/assets/img/drapeau_es.png" class="drapeau" /></td>
            <td>Espagnol : niveau A2</td>
          </tr>
        </table>
      </mat-card-content>
    </mat-card>

  </mat-drawer>

  <mat-drawer-content style="padding: 5pt;">

    <!-- <div class="parent" fxLayout="row"> -->

    <div (click)="drawer.open()">
      <button mat-raised-button matTooltip="Afficher les informations générales">
        <mat-icon>keyboard_arrow_right</mat-icon>
        <mat-icon>visibility</mat-icon>
      </button>
    </div>

    <div>

      <mat-accordion style="padding: 3pt;">
        <mat-expansion-panel>
          <mat-expansion-panel-header style="vertical-align: baseline; text-align: center;">
            <mat-panel-title>
              <div style="font-size: xx-large; padding: 7pt;">
                Antoine DANNA
              </div>
            </mat-panel-title>
            <mat-panel-description>
              <div style="font-size: x-large; padding: 5pt;">
                Stagiaire informatique
              </div>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <p style="padding: 3pt;text-align: center; font-size: large;" border="1">
            Passionné, autonome et curieux, avec un grand esprit d'équipe,
            <br />
            je cherche toujours à m'améliorer et donner le meilleur de moi-même.
          </p>
        </mat-expansion-panel>
      </mat-accordion>

      <!-- <mat-divider></mat-divider> -->

      <mat-tab-group mat-align-tabs="center" dynamicHeight selectedIndex="0" (selectedTabChange)="onTabChanged($event)">
        <!--headerPosition="below"-->

        <mat-tab label="formation">
          <ng-template mat-tab-label>
            <!-- <mat-icon class="tab_icon">emoji_events</mat-icon> -->
            <img src="{{ BASE_HREF }}/assets/img/graduation-cap.png" style="height: 20pt; width: 20pt;">
            &nbsp;
            <span matBadge="{{ FORMATIONS.length }}" matBadgeOverlap="false">Formation</span>
          </ng-template>
          <mat-list>
            <mat-list-item *ngFor="let form of FORMATIONS">
              <div mat-line><mat-icon class="tab_icon">emoji_events</mat-icon></div>
              <div mat-line>{{ form.titre }}</div>
              <div mat-line>
                <span *ngIf="form.date_debut && form.date_obtention">De&nbsp;</span>
                <span *ngIf="form.date_debut && !form.date_obtention">Depuis&nbsp;</span>
                <span *ngIf="form.date_debut">{{ form.date_debut | date:"MMMM YYYY" }}&nbsp;</span>
                <span *ngIf="form.date_debut && form.date_obtention">à&nbsp;</span>
                <span *ngIf="form.date_obtention">{{ form.date_obtention | date:"MMMM YYYY" }}</span>
              </div>
            </mat-list-item>
          </mat-list>
          <!--
          <mat-slider min="{{2018*12}}" max="{{(2018+3)*12}}" value="{{(2018+3)*12}}" step="1" tickInterval="1" vertical
            style="height: 100%; min-height: 400px; margin-left: 20px;" thumbLabel [displayWith]="sliderLabel">
          </mat-slider>
          -->
        </mat-tab>

        <mat-tab label="experience">
          <ng-template mat-tab-label>
            <mat-icon class="tab-icon">grade</mat-icon>
            <span matBadge="{{ EXPERIENCES.length }}" matBadgeOverlap="false">Expérience</span>
          </ng-template>

          <!-- Filtres : -->
          <!--           <mat-accordion style="padding: 3pt;">
            <mat-expansion-panel>
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Filtres
                  <mat-icon>filter_alt</mat-icon>
                </mat-panel-title>
                <mat-panel-description>
                  <mat-chip-list *ngIf="xpDataSource.filter">
                    <mat-chip>{{ xpDataSource.filter }}</mat-chip>
                  </mat-chip-list>
                </mat-panel-description>
              </mat-expansion-panel-header>
              <mat-form-field appearance="fill" class="field">
                <mat-label>Global</mat-label>
                <input matInput (keyup)="filtrerXP($event.target.value)" placeholder="Exple : Java"
                  value="{{ xpDataSource.filter }}">
              </mat-form-field>
              <mat-form-field appearance="fill" class="field">
                <mat-label>Techno</mat-label>
                <mat-select [(value)]="filtreTechno">
                  <mat-option *ngFor="let techno of TECHNOLOGIES" [value]="techno.nom">{{ techno.nom }}</mat-option>
                </mat-select>
              </mat-form-field>
              <button mat-raised-button matSuffix mat-icon-button (click)="defiltrerXP()" *ngIf="filtrePose()">
                <mat-icon>close</mat-icon>
              </button>
            </mat-expansion-panel>
          </mat-accordion>
 -->
          <!-- FIXME Faire fonctionner le tri. -->
          <mat-table [dataSource]="xpDataSource" class="mat-elevation-z8" matSort (matSortChange)="trierXP($event)"
            hidden>

            <ng-container matColumnDef="debut">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>
                Début <br />
                <mat-form-field appearance="fill" class="tableFilterField" style="width: 40pt;" *ngIf="filtresActives">
                  <input matInput (keyup)="filtrerXP($event.target.value)">
                </mat-form-field>
              </th>
              <td mat-cell *matCellDef="let xp" align="center">
                {{ xp.periode.debut | date:"YYYY" }}
                <br />
                <small>{{ xp.periode.debut | date:"MMM" }}</small>
              </td>
              <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>
            <ng-container matColumnDef="duree">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>
                Durée <br />
                <mat-form-field appearance="fill" class="tableFilterField" style="width: 30pt;">
                  <input matInput (keyup)="filtrerXP($event.target.value)">
                </mat-form-field>
              </th>
              <td mat-cell *matCellDef="let xp" align="center">
                {{ xp.periode.duree.qte }}
                <br />
                <small>{
                  xp.periode.duree.qte, plural,
                  =0 { {{xp.periode.duree.unit.singulier}} }
                  =1 { {{xp.periode.duree.unit.singulier}} }
                  other { {{xp.periode.duree.unit.pluriel}} }
                  }</small>
              </td>
              <td mat-footer-cell *matFooterCellDef> TODO Total </td>
            </ng-container>
            <ng-container matColumnDef="sujet" mat-sort-header>
              <th mat-header-cell *matHeaderCellDef>
                Sujet <br />
                <mat-form-field appearance="fill" class="tableFilterField" style="width: 150pt;">
                  <input matInput (keyup)="filtrerXP($event.target.value)">
                </mat-form-field>
              </th>
              <td mat-cell *matCellDef="let xp">
                <span style="font-size: medium;">{{ sujetHTML(xp) }}</span>
              </td>
              <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>
            <ng-container matColumnDef="technos">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>
                Techno.<br />
                <mat-form-field appearance="fill" class="tableFilterField" style="width: 50pt;">
                  <input matInput (keyup)="filtrerXP($event.target.value)">
                </mat-form-field>
              </th>
              <td mat-cell *matCellDef="let xp" align="center">
                <ng-container *ngFor="let techno of xp.technos">
                  <img *ngIf="techno.iconImg" src="{{ BASE_HREF }}/assets/img/{{ techno.iconImg.file }}"
                    class="language-logo"
                    style="width: '{{ techno.iconImg.width }}px'; height: '{{ techno.iconImg.height }}px';">
                  <mat-icon *ngIf="techno.icon" class="language-logo">{{ techno.icon }}</mat-icon>
                </ng-container>
                <br />
                <!-- <small>{{ nomsTechnos(xp.technos) }}</small> -->
              </td>
              <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>
            <ng-container matColumnDef="equipe">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>
                Equipe<br />
                <small>(nb.&nbsp;pers.)</small><br />
                <mat-form-field appearance="fill" class="tableFilterField" style="width: 30pt;">
                  <input matInput (keyup)="filtrerXP($event.target.value)">
                </mat-form-field>
              </th>
              <td mat-cell *matCellDef="let xp" align="center" matTooltip="{{ xp.equipe.nbrPersonnes }} personnes">
                <mat-icon *ngFor="let item of sequence(xp.equipe.nbrPersonnes)" style="font-size: medium; width: 10px;">
                  person
                </mat-icon>
                <br />
                <small>{{ xp.equipe.nbrPersonnes }}&nbsp;p.</small>
              </td>
              <td mat-footer-cell *matFooterCellDef> TODO Moyenne </td>
            </ng-container>
            <ng-container matColumnDef="type">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>
                Type<br />
                <mat-form-field appearance="fill" class="tableFilterField" style="width: 60pt;">
                  <input matInput (keyup)="filtrerXP($event.target.value)">
                </mat-form-field>
              </th>
              <td mat-cell *matCellDef="let xp" align="center" matTooltip='Projet {{ xp.typeProjet | lowercase }}'>
                <mat-icon>{{ projetScolaire(xp.typeProjet) ? 'school' : 'person' }}</mat-icon>
                <br />
                <small>{{ xp.typeProjet }}</small>
              </td>
              <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            <tr mat-footer-row *matFooterRowDef="displayedColumns"></tr>

            <!-- Row shown when there is no matching data. -->
            <tr class="mat-row" *matNoDataRow>
              <td class="mat-cell" colspan="100">Aucune donnée (filtre = "{{ xpDataSource.filter }}")</td>
            </tr>
          </mat-table>

        </mat-tab>

        <mat-tab label="competences">
          <!-- NB : Le label ("competences") est utilisé dans le code TS -->
          <ng-template mat-tab-label>
            <mat-icon class="tab-icon">grading</mat-icon>
            <span [matBadge]="technologies().length" matBadgeOverlap="false">Compétences</span>
          </ng-template>

          <mat-spinner *ngIf="competencesGraphIsLoading"></mat-spinner>

          <!-- FIXME Le graphe ne s'affiche plus (depuis qu'on a utilisé les onglets pour mettre "formation/xp/compétence"). -->
          <figure id="competences_graph" class="graphe" style="font-size: 20px;">
          </figure>

        </mat-tab>

      </mat-tab-group>

    </div>

  </mat-drawer-content>
</mat-drawer-container>
